''' views for static pages '''

from pyramid.httpexceptions import HTTPFound
from pyramid.view import view_config


@view_config(
    context='ordr2.resources.Root',
    permission='view'
    )
def welcome(context, request):
    next = 'orders' if request.user else 'about'
    redirect_to = request.resource_url(context, next)
    return HTTPFound(redirect_to)


@view_config(
    context='ordr2.resources.Root',
    name='about',
    permission='view',
    renderer='ordr2:templates/pages/welcome.jinja2'
    )
def about(context, request):
    context.nav_highlight = 'about'
    return {}


@view_config(
    context='ordr2.resources.Root',
    name='faq',
    permission='view',
    renderer='ordr2:templates/pages/faq.jinja2'
    )
def faqs(context, request):
    context.nav_highlight = 'faq'
    return {}
